local L = AceLibrary("AceLocale-2.2"):new("Automaton_Filter")
Automaton_Filter = Automaton:NewModule("Filter", "AceEvent-2.0", "AceConsole-2.0", "AceDebug-2.0")

L:RegisterTranslations("enUS", function() return {
    ["Filter"] = true,
	["Show only available skills at trainers by default."] = true,
} end)

L:RegisterTranslations("koKR", function() return {
    ["Filter"] = "필터",
	["Show only available skills at trainers by default."] = "상급자에게 스킬을 배울시 사용 가능한 기술만 표시합니다.",
} end)

L:RegisterTranslations("esES", function() return {
    ["Filter"] = "Filtrar",
	["Show only available skills at trainers by default."] = "Mostrar \195\186nicamente las habilidades disponibles de los entrenadores",
} end)

Automaton.options.args.filter = {
	type = 'toggle',
	name = L["Filter"],
	desc = L["Show only available skills at trainers by default."],
	get = function() return Automaton:IsModuleActive("Filter") end,
	set = function(v) Automaton:ToggleModuleActive("Filter", v) end,
}

function Automaton_Filter:OnEnable()
	self:RegisterEvent("TRAINER_SHOW")
end

function Automaton_Filter:TRAINER_SHOW()
	SetTrainerServiceTypeFilter("unavailable",0)
end