local L = AceLibrary("AceLocale-2.2"):new("Automaton_Rez")
Automaton_Rez = Automaton:NewModule("Rez", "AceEvent-2.0", "AceDebug-2.0")

L:RegisterTranslations("enUS", function() return {
    ["Rez"] = true,
	["Options for accepting resurrection requests."] = true,
    ["Enabled"] = true,
	["Accept resurrection requests. If the persist option is Off, AutoRez will disable itself after the first resurrection."] = true,
    ["Persist"] = true,
	["With this option enabled, AutoRez will persist for every resurrection request."] = true,
	["Delay"] = true,
	["With this option enabled, automatic resurrection accept is delayed for 100 seconds."] = true,
	["Accepting resurrect in 1:40"] = true,
} end)

L:RegisterTranslations("koKR", function() return {
    ["Rez"] = "자동 부활",
	["Options for accepting resurrection requests."] = "부활에 관한 옵션을 설정합니다.",
    ["Enabled"] = "활성화",
	["Accept resurrection requests. If the persist option is Off, AutoRez will disable itself after the first resurrection."] = "부활을 자동 수락합니다. 지속 옵션이 체크되어 있지 않으면, 자동 부활은 첫째 부활 후에 그 자체를 비활성화합니다.",
    ["Persist"] = "지속",
	["With this option enabled, AutoRez will persist for every resurrection request."] = "이 옵션이 활성화시, 모든 부활 요구가 지속됩니다.",
	["Delay"] = "지연",
	["With this option enabled, automatic resurrection accept is delayed for 100 seconds."] = "이 옵션이 활성화시, 자동 부활 수락을 100초 동안 지연시킵니다.",
	["Accepting resurrect in 1:40"] = "부활 수락 1:40",
} end)

L:RegisterTranslations("esES", function() return {
    ["Rez"] = "Resucitar",
	["Options for accepting resurrection requests."] = "Opciones para aceptar las ofertas de resurrecci\195\179n",
    ["Enabled"] = "Activado",
	["Accept resurrection requests. If the persist option is Off, AutoRez will disable itself after the first resurrection."] = "Acepta las ofertas de resurrecci\195\179n. Si la opci\195\179n Persistir est\195\161 Desactivada se desactivar\195\161 la resurrecci\195\179n autom\195\161tica tras la primera resurrecci\195\179n",
    ["Persist"] = "Persistir",
	["With this option enabled, AutoRez will persist for every resurrection request."] = "La resurrecci\195\179n autom\195\161tica seguir\195\161 activa para todas las ofertas de resurrecci\195\179n",
	["Delay"] = "Retraso",
	["With this option enabled, automatic resurrection accept is delayed for 100 seconds."] = "La aceptaci\195\179n de la resurrecci\195\179n autom\195\161tica se retrasa 100 segundos",
	["Accepting resurrect in 1:40"] = "Aceptando resurrecci\195\179n en 1:40m",
} end)

Automaton.options.args.rez = {
	type = 'group',
	name = L["Rez"],
	desc = L["Options for accepting resurrection requests."],
	args = {
		toggle = {
			type = 'toggle',
			name = L["Enabled"],
			desc = L["Accept resurrection requests. If the persist option is Off, AutoRez will disable itself after the first resurrection."],
			get = function() return Automaton:IsModuleActive("Rez") end,
			set = function(v) Automaton:ToggleModuleActive("Rez", v) end,
		},
		persist = {
			type = 'toggle',
			name = L["Persist"],
			desc = L["With this option enabled, AutoRez will persist for every resurrection request."],
			get = function() return Automaton.db.profile.autoRezPersist end,
			set = function(v) Automaton.db.profile.autoRezPersist = v end,
		},
		delay = {
			type = 'toggle',
			name = L["Delay"],
			desc = L["With this option enabled, automatic resurrection accept is delayed for 100 seconds."],
			get = function() return Automaton.db.profile.autoRezDelay end,
			set = function(v) Automaton.db.profile.autoRezDelay = v end,
		}
	}
}
function Automaton_Rez:OnEnable()
	self:RegisterEvent("RESURRECT_REQUEST")
end

function Automaton_Rez:RESURRECT_REQUEST()
	if Automaton.db.profile.autoRezDelay and not self:IsEventScheduled("Automaton_Rez") then
		self:Print(L["Accepting resurrect in 1:40"])
		self:ScheduleEvent("Automaton_Rez", function()
			AcceptResurrect()
			StaticPopup_Hide("RESURRECT_NO_SICKNESS")
		end, 100)
	elseif not self:IsEventScheduled("Automaton_Rez") then
		AcceptResurrect()
		StaticPopup_Hide("RESURRECT_NO_SICKNESS")
	end
	if not Automaton.db.profile.autoRezPersist then
		Automaton:ToggleModuleActive("Rez",false)
	end
end